Skip to main content
`Ctrl`+`K`

# PetscGridHashSetGrid

Divide the grid into boxes

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode PetscGridHashSetGrid(PetscGridHash box, const PetscInt n[], const PetscReal h[])

Not Collective

## Input Parameters

- box - The grid hash object

- n - The number of boxes in each dimension, may use `PETSC_DETERMINE` for the entries

- h - The box size in each dimension, only used if n[d] == `PETSC_DETERMINE`, if not needed you can pass in `NULL`

## See Also

`DMPLEX`, `PetscGridHashCreate()`

## Level

developer

## Location

src/dm/impls/plex/plexgeometry.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages